Get Extension
curl --request GET \
--url https://api.jtl-cloud.com/erp/extensions/{extensionId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/extensions/{extensionId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/extensions/{extensionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ExtensionId": "<string>",
"Version": "<string>",
"Created": "2023-11-07T05:31:56Z",
"LastChanged": "2023-11-07T05:31:56Z",
"ManifestHash": "<string>",
"Status": 0
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Extensibility
Get Extension
deprecated
Returns the requested Extension
GET
/
extensions
/
{extensionId}
Get Extension
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The uuid of the Extension Represents a unique key for identifying an extension within the JTL.Wawi extensibility framework.
Response
The requested Extension
Model Class: Extension
The Identifier of the Extension.
The Unique Identifier of the Extension
The Version of Extension.
The Date of Creation the Extension in the Wawi
The Date of the last changeof the Extension information
The Hash of the Manifest Hexadeimcal Sha512
The status of the Extension
Available options:
0, 1, 2 Was this page helpful?